---
title: "Remove Member from Team"
slug: "remove-member-from-team"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/remove-member-from-team"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Remove Member from Team
Post/api/v1/teams.removeMember
Removes a member from a team.
Permission required: `edit-team-member`
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"teamId": "63f3efc4b000b6b6d86704b2",
"userId": "rYhzFRd2QZjNwAAXX",
"rooms": [
"JKa7R9zu2DinBhBN9"
]
}
```
object teamIdstring Required
Enter the team ID. Alternatively, enter the `teamName` parameter and provide the team's name as the value.
userIdstring Required
The user ID to remove from the team.
rooms Array of string
The rooms (IDs) from which the user should be removed.
string
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring